Name:           seafile-client-qt
Version:        5.1.1
Release:     1%{?dist}
Summary:     Seafile gui client on QT bassed

%global commit 9b19c70300a69f6272885b9b23f79f4e120da2c4
%global sourcename seafile-client

License:      GPLv3
URL:            https://github.com/haiwen/%{sourcename}
Source0:        https://github.com/haiwen/%{sourcename}/archive/%{commit}/%{sourcename}-%{commit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  cmake >= 2.6
BuildRequires:  qt-devel >= 4.8.0
BuildRequires:  qtwebkit-devel
BuildRequires:  qt5-qtbase-devel >= 5.4.0
BuildRequires:  qt5-qttools-devel
BuildRequires:  sqlite-devel
BuildRequires:  jansson-devel >= 2.0
BuildRequires:  ccnet-devel >= 5.1.1
BuildRequires:  libsearpc-devel >= 3.0.7
BuildRequires:  openssl-devel >= 0.98
BuildRequires:  seafile-devel = 5.1.1
BuildRequires:  libevent-devel
BuildRequires:  libuuid-devel

Requires: qt >= 4.8.0
Requires: libevent
Requires: libuuid
Requires: libsearpc >= 3.0.7 
Requires: ccnet >= 5.1.1
Requires: seafile = 5.1.1

Conflicts: seafile-client-qt5

%description
Seafile is a next-generation open source cloud storage system, with
advanced support for file syncing, privacy protection and teamwork

%prep
%setup -q -n %{sourcename}-%{commit}

%build
%cmake -D CMAKE_BUILD_TYPE=Release .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc LICENSE README.md
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*

%changelog
*  Sat May 28 2016 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.1.1-1
- updated for seafile 5.1.1
* Wed Dec 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.1-1
- updated for seafile 5.0.1
* Fri Nov 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.0-1
- updated for seafile 5.0.0
* Sun Oct 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.2-1
- updated for seafile 4.4.2
* Mon Sep 21 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.0-1
- updated for seafile 4.4.0
* Sun Sep 13 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.3-1
- updated for seafile 4.3.3
* Wed Aug 19 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.2-1
- updated for seafile 4.3.2
* Wed Aug 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.1-1
- updated for seafile 4.3.1
* Thu Jul 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.0-1
- updated for seafile 4.3.0
* Mon Jul 13 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.8-1
- updated for seafile 4.2.8
* Thu Jul 09 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.7-1
- updated for seafile 4.2.7
* Thu Jun 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.6-1
- updated for seafile 4.2.6
* Thu Jun 11 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.4-1
- updated for seafile 4.2.4
* Wed May 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.2-2
-  Add conflict directive for seafile-client-qt5
* Tue May 26 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.2-1
- updated for seafile 4.2.2
* Fri May 15 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.1-1
- updated for seafile 4.2.1
* Tue May 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.0-1
- updated for seafile 4.2.0
* Wed Apr 22 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.6-1
- updated for seafile 4.1.6
* Fri Apr 10 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.5-1
- updated for seafile 4.1.5
* Tue Mar 31 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.4-1
- updated for seafile 4.1.4
* Mon Mar 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.3-1
- updated for seafile 4.1.3
* Fri Mar 20 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.2-2
- updated for seafile 4.1.2
* Tue Mar 3 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.1-2
- updated for seafile 4.1.1
* Fri Jan 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.1.0-1
- updated for seafile 4.1.0
* Thu Jan 08 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.6-1
- updated for seafile 4.0.6
* Wed Dec 24 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.5-1
- updated for seafile 4.0.5
* Tue Dec 16 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.4-2
- updated for seafile 4.0.4
* Sat Dec 06 2014 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.0.3-1
- updated for seafile 4.0.3
* Thu Nov 13 2014 Philipp Kerling <pkerling@casix.org> - 3.1.10-1
- updated for seafile 3.1.10
* Tue Nov 11 2014 Philipp Kerling <pkerling@casix.org> - 3.1.8-1
- updated for seafile 3.1.8
* Sun Sep 28 2014 Philipp Kerling <pkerling@casix.org> - 3.1.7-1
- updated for seafile 3.1.7
* Fri Sep 19 2014 Philipp Kerling <pkerling@casix.org> - 3.1.6-1
- updated for seafile 3.1.6
* Fri Aug 22 2014 Philipp Kerling <pkerling@casix.org> - 3.1.5-1
- updated for seafile 3.1.5
* Thu Aug 07 2014 Philipp Kerling <pkerling@casix.org> - 3.1.4-1
- updated for seafile 3.1.4
* Sat May 17 2014 Philipp Kerling <pkerling@casix.org> - 3.0.4-1
- updated for seafile 3.0.4
* Mon Apr 28 2014 Philipp Kerling <pkerling@casix.org> - 3.0.2-1
- updated for seafile 3.0.2
* Sat Apr 19 2014 Philipp Kerling <pkerling@casix.org> - 2.2.0-1
- updated for seafile 2.2.0
* Mon Mar 10 2014 Philipp Kerling <pkerling@casix.org> - 2.1.2-1
- updated for seafile 2.1.2
* Sat Nov 16 2013 Philipp Kerling <pkerling@casix.org> - 2.0.8-1
- Initial package
